local mod = ...



-- Default Balancing (event list) ---------------------------------------------------------------------------------------------

mod:override({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND",
        "EVENT_FUEL_START",
    }
})



-- Event: Start ---------------------------------------------------------------------------------------------

mod:register({
	DataType = "EVENT",
    Id = "EVENT_FUEL_START",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 10, 
	ConditionList = {
		{
            DataType = "EVENT_CONDITION_BUILDING_BUILT",
            AssetBuilding = "MONUMENT_MARKET"
		}
	},
	ActionList = {
        {
            DataType = "EVENT_ACTION_GIVE_QUEST",
            Quest = "QUEST_FUEL_START"
        },
    }
})



-- Quest: Build and staff ---------------------------------------------------------------------------------------------
mod:register({
    DataType = "QUEST",
    Id = "QUEST_FUEL_START",
    Name = "QUEST_FUEL_START_NAME",
    Description = "QUEST_FUEL_START_DESC",
    IsSilent = false,
	QuestFunction = {
        DataType = "QUEST_FUNCTION_CONTAINER", 
        QuestContainerDescription = "QUEST_FUEL_START_NAME",
        SubQuestList = {
            {
                DataType = "QUEST_FUNCTION_BUILD", 
                BuildingListToBuild = {
                    "FUELCART"
                }
            },
            {
                DataType = "QUEST_FUNCTION_ASSIGN_RESOURCE_MARKET",
                Resource = "WOOD"
            },
            {
                DataType = "QUEST_FUNCTION_ASSIGN_WORKER",
                Job = "FUELSELLER_JOB"
            },
        }
    },
    QuestRewardList = {
        {
            DataType = "QUEST_REWARD_RESOURCES",
            ResourceCollection = {
                {
                    Resource = "WOOD",
                    Quantity = 50
                }
            }
        },
    },
    QuestFailList = nil,
    QuestListToUnlockAfter = nil,
    OnFailCallback = nil,
    OnSuccessCallback = nil
})

